org.apache.hc.client5.http.async.methods

## Class SimpleRequestProducer

- java.lang.Object
- - org.apache.hc.core5.http.nio.BasicRequestProducer
  - - org.apache.hc.client5.http.async.methods.DefaultAsyncRequestProducer
    - - org.apache.hc.client5.http.async.methods.SimpleRequestProducer

All Implemented Interfaces:
  Configurable, org.apache.hc.core5.http.nio.AsyncDataProducer, org.apache.hc.core5.http.nio.AsyncRequestProducer, org.apache.hc.core5.http.nio.ResourceHolder

    public final class SimpleRequestProducer
    extends DefaultAsyncRequestProducer

### Constructor Summary

Constructors
Constructor and Description
`SimpleRequestProducer(SimpleHttpRequest request)`
`SimpleRequestProducer(SimpleHttpRequest request, RequestConfig requestConfig)`

### Method Summary

### Methods inherited from class org.apache.hc.client5.http.async.methods.DefaultAsyncRequestProducer

`getConfig`

### Methods inherited from class org.apache.hc.core5.http.nio.BasicRequestProducer

`available, failed, getEntityDetails, produce, produceRequest, releaseResources`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleRequestProducer

    public SimpleRequestProducer(SimpleHttpRequest request,
                         RequestConfig requestConfig)

#### SimpleRequestProducer

    public SimpleRequestProducer(SimpleHttpRequest request)